apiVersion: agent-install.openshift.io/v1beta1
kind: NMStateConfig
metadata:
  labels:
    infraenvs.agent-install.openshift.io: acm-itup-poc
    agent-install.openshift.io/bmh: worker-047
  name: worker-047
  namespace: acm-itup-poc
spec:
  config:
    interfaces:
    - ipv4:
        auto-dns: true
        auto-gateway: true
        auto-routes: true
        dhcp: true
        enabled: true
      link-aggregation:
        mode: 802.3ad
        options:
          miimon: "100"
        port:
        - eno1
        - eno2
      name: bond0
      state: up
      type: bond
  interfaces:
  - macAddress: $NIC1MAC
    name: eno1
  - macAddress: $NIC2MAC
    name: eno2
